### Constructor

# St BorderImage new

#### Declaration [src]

    StBorderImage*
    st_border_image_new (
      GFile* file,
      int border_top,
      int border_right,
      int border_bottom,
      int border_left,
      int scale_factor
    )

#### Description [src]

Creates a new `StBorderImage`.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`border_top`

  Type: `int`

  The top border.

`border_right`

  Type: `int`

  The right border.

`border_bottom`

  Type: `int`

  The bottom border.

`border_left`

  Type: `int`

  The left border.

`scale_factor`

  Type: `int`

  The scale factor.

#### Return value

Type: `StBorderImage`

A new `StBorderImage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.